Bug 1676257 - yubihsm-shell: FTBFS in Fedora rawhide/f30
Summary: yubihsm-shell: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yubihsm-shell
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 22:27 UTC by Fedora Release Engineering
Modified: 2019-02-13 14:00 UTC (History)
1 user (show)

Fixed In Version: yubihsm-shell-2.0.0-4.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-13 13:59:46 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 22:27 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 22:27 UTC, Fedora Release Engineering
no flags Details
state.log (645 bytes, text/plain)
2019-02-11 22:27 UTC, Fedora Release Engineering
no flags Details


Links
System ID Priority Status Summary Last Updated
Github Yubico yubihsm-shell issues 27 None None None 2019-02-13 13:59:45 UTC

Description Fedora Release Engineering 2019-02-11 22:27:14 UTC
yubihsm-shell failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32512979


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix yubihsm-shell at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
yubihsm-shell will be orphaned. Before branching of Fedora 31,
yubihsm-shell will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 22:27:16 UTC
Created attachment 1533709 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 22:27:17 UTC
Created attachment 1533710 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 22:27:19 UTC
Created attachment 1533711 [details]
state.log

Comment 4 Jakub Jelen 2019-02-12 10:40:07 UTC
The error is the following:

/builddir/build/BUILD/yubihsm-shell-2.0.0/pkcs11/tests/ecdh_derive_test.c: In function 'main':
/builddir/build/BUILD/yubihsm-shell-2.0.0/pkcs11/tests/ecdh_derive_test.c:368:17: error: variable-length array bound is unknown [-Werror=vla-larger-than=]
  368 |   unsigned char ecdh1_bytes[ecdh1_len]; // public key in DER
      |                 ^
/builddir/build/BUILD/yubihsm-shell-2.0.0/pkcs11/tests/ecdh_derive_test.c:419:41: error: variable-length array bound is unknown [-Werror=vla-larger-than=]
  419 |   unsigned char ecdh1_value[ecdh1_len], ecdh2_value[ecdh2_len];
      |                                         ^
lto1: all warnings being treated as errors
lto-wrapper: fatal error: /usr/bin/cc returned 1 exit status

This is caused a new warning (being treated as an error?), but I do not see this as an error at all. It is variable length array so indeed the bound is unknown. But the same construction is used in many other places, where it is not a problem for gcc.

Comment 5 Jakub Jelen 2019-02-13 13:59:46 UTC
Fixed in rawhide, filled upstream bug.


Note You need to log in before you can comment on or make changes to this bug.